Last Comment Bug 508055 - [SeaMonkey 2.1] Location bar autocomplete doesn't work anymore
: [SeaMonkey 2.1] Location bar autocomplete doesn't work anymore
Status: RESOLVED FIXED
: fixed-seamonkey2.0, regression
Product: SeaMonkey
Classification: Client Software
Component: Autocomplete (show other bugs)
: Trunk
: All All
: -- major with 2 votes (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 455555
Blocks: CcMcBuildIssues
  Show dependency treegraph
 
Reported: 2009-08-03 10:33 PDT by Serge Gautherie (:sgautherie)
Modified: 2009-10-09 09:26 PDT (History)
13 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
kairo: blocking‑seamonkey2.0-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Possibly unpackaged file (36.21 KB, application/javascript)
2009-09-28 09:36 PDT, neil@parkwaycc.co.uk
no flags Details
(Av1) Package nsPlacesAutoComplete.js, Improve sort order [Checkin: Comment 24] (4.43 KB, patch)
2009-10-05 10:08 PDT, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.0+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2009-08-03 10:33:38 PDT
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1.3pre) Gecko/20090803 SeaMonkey/2.0b2pre] (comm-1.9.1-win32/1249316053) (W2Ksp4)
(http://hg.mozilla.org/releases/mozilla-1.9.1/rev/0cd4042314d4
 +http://hg.mozilla.org/comm-central/rev/...)
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090725 SeaMonkey/2.1a1pre] (home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/b8c752d9bc65
 +http://hg.mozilla.org/comm-central/rev/413ab70abcfb + bug 467356 patch Bv1)

Work fine.


[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090802 SeaMonkey/2.1a1pre] (home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/3ae688630837
 +http://hg.mozilla.org/comm-central/rev/87e1c230dc9c)

Doesn't work and reports
{
Error: uncaught exception: [Exception... "'[JavaScript Error: "this._pendingQuery is undefined" {file: "file:///.../components/nsPlacesAutoComplete.js" line: 635}]' when calling method: [nsIAutoCompleteSearch::stopSearch]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "JS frame :: chrome://global/content/autocomplete.xml :: anonymous :: line 322"  data: yes]
}


[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090803 SeaMonkey/2.1a1pre] (comm-central-trunk-win32/1249315252) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/97ec2484a49a
 +http://hg.mozilla.org/comm-central/rev/...)

No more error, but still doesn't work: dropdown does no open.
Comment 1 Serge Gautherie (:sgautherie) 2009-08-03 15:00:12 PDT
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090730 SeaMonkey/2.1a1pre] (nightly) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/505e5dc1e170
 +http://hg.mozilla.org/comm-central/rev/...)

Still works fine.

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090802 SeaMonkey/2.1a1pre] (comm-central-trunk-win32/1249243074) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/990d01d87283
 +http://hg.mozilla.org/comm-central/rev/...)
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20090803 SeaMonkey/2.1a1pre] (nightly) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/c6692a8f3f27
 +http://hg.mozilla.org/comm-central/rev/...)

Broken with no error.


No other Windows nightly to try.
(3 days) Regression timeframe:
for sure,
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=505e5dc1e170&tochange=990d01d87283
and probably,
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=505e5dc1e170&tochange=3ae688630837
Comment 2 Adam Rambousek 2009-08-08 23:30:41 PDT
I can confirm this with Linux builds. 
Build identifier: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2a2pre) Gecko/20090808 SeaMonkey/2.1a1pre
Comment 3 Marco Perez 2009-08-13 12:46:02 PDT
I suspect part of http://hg.mozilla.org/mozilla-central/log?rev=8cff4bd2121a
to have broken SeaMonkey's location bar. Unfortunately that changeset covers
quite a lot of bugs and their respective patches. :-(

We may have to port the asynchronous location bar in order to fix that bug.
Comment 4 Shawn Wilsher :sdwilsh 2009-08-13 13:05:32 PDT

*** This bug has been marked as a duplicate of bug 508102 ***
Comment 5 Serge Gautherie (:sgautherie) 2009-08-13 14:15:01 PDT
V.Duplicate, though this bug was filed a few hours before the other one.
Comment 6 Serge Gautherie (:sgautherie) 2009-09-12 12:11:49 PDT
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20090912 SeaMonkey/2.1a1pre] (nightly) (W2Ksp4)

Well, bug 508102 was fixed, but this bug is still there :-<
Comment 7 Serge Gautherie (:sgautherie) 2009-09-13 07:10:17 PDT
(In reply to comment #3)
> We may have to port the asynchronous location bar in order to fix that bug.

Is this what is needed here?
Comment 8 Jason Bassford 2009-09-13 07:41:46 PDT
It looks like bug 508102 either did not get checked into the SeaMonkey trunk builds (it still fails with a 9/13 build off of comm-central) - or the fix simply doesn't work with the trunk. 

With a 9/13 comm-1.9.1 build everything is fine now, so the branch is okay.
Comment 9 neil@parkwaycc.co.uk 2009-09-13 08:40:59 PDT
Works for me with trunk-based builds on two different PCs.
Comment 10 Jason Bassford 2009-09-13 09:49:06 PDT
It does not work with 20090912 SeaMonkey/2.1a1pre under Windows 7.  (The branch builds work fine.)
Comment 11 Jason Bassford 2009-09-13 09:51:04 PDT
Hmm.  I just noticed that the trunk build I'm using is 9/12, not 9/13 as I'd reported in comment 8.  Only the branch build is 9/13.  Maybe it's a date issue - although it should have been checked in on 9/12 too...
Comment 12 Jason Bassford 2009-09-17 11:02:55 PDT
Okay, so regular Windows trunk builds have still not been available since 9/12 - but I did manage to download a tinderbox Windows trunk build from today (9/17).  This version still does not work for me under Windows 7.  (And this is on my work PC rather than my home PC where I'd tested earlier.)  Again, though, branch builds now work just fine - so something is still wrong with the trunk only.
Comment 13 neil@parkwaycc.co.uk 2009-09-22 08:28:24 PDT
(In reply to comment #0)
> Error: uncaught exception: [Exception... "'[JavaScript Error:
> "this._pendingQuery is undefined" {file:
> "file:///.../components/nsPlacesAutoComplete.js" line: 635}]' when calling
> method: [nsIAutoCompleteSearch::stopSearch]"  nsresult: "0x80570021
> (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "JS frame ::
> chrome://global/content/autocomplete.xml :: anonymous :: line 322"  data: yes]
Bug 508102 fixed this exception, and my debug build is now working, but I haven't tried installing a tinderbox build.
Comment 14 Oliver Schoett 2009-09-23 06:04:57 PDT
Looks like the fix for bug 508102 was applied to a branch only and not the trunk
Comment 15 Robert Kaiser 2009-09-23 06:21:11 PDT
Not blocking 2.0 on a bug that apparently is on 2.1a1pre only.
Comment 16 Serge Gautherie (:sgautherie) 2009-09-23 06:24:36 PDT
(In reply to comment #14)
> Looks like the fix for bug 508102 was applied to a branch only and not the
> trunk

No, it was pushed to m-c and m-192.
Comment 17 Johannes Leushuis 2009-09-24 16:38:53 PDT
Autocomplete indeed still does not work in the location bar in
Seamonkey2.1a1pre Build ID:{20090924013522} And the discussion of this bug goes
parallel with the discussion of Bug 508102 -  Warning: reference to undefined property this._pendingQuery / Location bar autocomplete doesn't work anymore   Is this how it should be?
Comment 18 neil@parkwaycc.co.uk 2009-09-28 09:36:11 PDT
Created attachment 403261 [details]
Possibly unpackaged file

After talking to sdwilsh on IRC I think the other cause of the problem is that this component (attached) is not distributed in nightly builds as it should. Perhaps someone could verify that by saving this platform-independent file into their bin/components folder and deleting the compreg.dat file in their profile.
Comment 19 Jason Bassford 2009-09-28 09:46:23 PDT
What should the filename be named?
Comment 20 Serge Gautherie (:sgautherie) 2009-09-28 10:18:38 PDT
(In reply to comment #18)
> Created an attachment (id=403261) [details]
> After talking to sdwilsh on IRC I think the other cause of the problem is that
> this component (attached) is not distributed in nightly builds as it should.

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20090928 SeaMonkey/2.1a1pre] (nightly) (W2Ksp4)

Works after adding nsPlacesAutoComplete.js from m-c :-)
This file should be packaged "#ifndef 191".


(In reply to comment #19)
> What should the filename be named?

(See attachment filename.)
Comment 21 Jason Bassford 2009-09-28 11:22:00 PDT
Confirmed here too.
Comment 22 Serge Gautherie (:sgautherie) 2009-10-05 10:08:18 PDT
Created attachment 404634 [details] [diff] [review]
(Av1) Package nsPlacesAutoComplete.js, Improve sort order
[Checkin: Comment 24]

Just like bug 512005.
Comment 23 neil@parkwaycc.co.uk 2009-10-06 04:09:17 PDT
(In reply to comment #19)
> What should the filename be named?
Assuming you're using SeaMonkey 2.1a1pre to download it, even right-click downloading will suggest the correct filename (bug 426742).
Comment 24 Serge Gautherie (:sgautherie) 2009-10-06 06:26:10 PDT
Comment on attachment 404634 [details] [diff] [review]
(Av1) Package nsPlacesAutoComplete.js, Improve sort order
[Checkin: Comment 24]


http://hg.mozilla.org/comm-central/rev/68f19c4f61b4

Note You need to log in before you can comment on or make changes to this bug.